runDNAcopy {snapCGH} | R Documentation

## Results of segmenting an MAList data object using the DNAcopy library

### Description

The results of segmenting data from copy number array experiments from programs such as circular binary segmentation (CBS). This function requires the library `DNAcopy` to be loaded.

### Usage

    runDNAcopy(input, smooth.region=2, outlier.SD.scale = 4, smooth.SD.scale = 2, trim=0.025, alpha = 0.01, p.method = c("hybrid",
        "perm"), kmax = 25, nmin = 200, window.size = NULL, overlap = 0.25, undo.splits = c("none", "prune", "sdundo"),
        undo.prune = 0.05, undo.SD = 3)

### Arguments

`input` | An object of class `MAList` or `SegList`
`smooth.region` | number of points to consider on the left and the right of a point to detect it as an outlier.
`outlier.SD.scale` | the number of SDs away from the nearest point in the smoothing region to call a point an outlier.
`smooth.SD.scale` | the number of SDs from the median in the smoothing region where a smoothed point is positioned.
`trim` | proportion of data to be trimmed for variance calculation for smoothing outliers and undoing splits based on SD.
`alpha` | significance levels for the test to accept change-points.
`p.method` | method used for p-value computation. For the "perm" method the p-value is based on full permutation. For the "hybrid" method the maximum over the entire region is split into maximum of max over small segments and max over the rest. Approximation is used for the larger segment max. Default is hybrid.
`kmax` | the maximum width of smaller segment for permutation in the hybrid method.
`nmin` | the minimum length of data for which the approximation of maximum statistic is used under the hybrid method.
`window.size` | size of window used to speed up computations when segment size is too large. Default is NULL (whole segment used). If p.method is hybrid then this is set to NULL.
`overlap` | proportion of data that overlap for adjacent windows.
`undo.splits` | A character string specifying how change-points are to be undone, if at all. Default is "none". Other choices are "prune", which uses a sum of squares criterion, and "sdundo", which undoes splits that are not at least this many SDs apart.
`undo.prune` | the proportional increase in sum of squares allowed when eliminating splits if undo.splits="prune".
`undo.SD` | the number of SDs between means to keep a split if undo.splits="sdundo".

### Value

The function returns an object of class `SegList`

### Author(s)

Mike Smith, based upon DNAcopy help files written by E. S. Venkatraman and Adam Olshen

### See Also

`segment` `MAList` `runHomHMM` `runGLAD` `SegList`

[Package snapCGH version 1.2.0 Index]